> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/rust/paymentapi.md).

# \PaymentApi

All URIs are relative to *<https://vault-api.usemoon.ai>*

| Method                                                                      | HTTP request                         | Description |
| --------------------------------------------------------------------------- | ------------------------------------ | ----------- |
| [**create\_payment\_intent\_config**](#create_payment_intent_config)        | **POST** /payment/config             |             |
| [**delete\_payment\_intent\_config**](#delete_payment_intent_config)        | **DELETE** /payment/config/{id}      |             |
| [**get\_all\_payment\_intent\_configs**](#get_all_payment_intent_configs)   | **GET** /payment/config              |             |
| [**get\_one\_payment\_intent\_configs**](#get_one_payment_intent_configs)   | **GET** /payment/config/{id}         |             |
| [**moralis\_webhook**](#moralis_webhook)                                    | **POST** /payment/webhook/{id}       |             |
| [**payment\_create\_payment\_intent**](#payment_create_payment_intent)      | **POST** /payment                    |             |
| [**payment\_delete\_payment\_intent**](#payment_delete_payment_intent)      | **DELETE** /payment/{id}             |             |
| [**payment\_get\_all\_payment\_intents**](#payment_get_all_payment_intents) | **GET** /payment                     |             |
| [**payment\_get\_available\_chains**](#payment_get_available_chains)        | **GET** /payment/chains              |             |
| [**payment\_get\_payment\_intent**](#payment_get_payment_intent)            | **GET** /payment/{id}                |             |
| [**payment\_update\_payment\_intent**](#payment_update_payment_intent)      | **PUT** /payment/{id}                |             |
| [**tatum\_webhook**](#tatum_webhook)                                        | **POST** /payment/webhook/tatum/{id} |             |
| [**update\_payment\_intent\_config**](#update_payment_intent_config)        | **PUT** /payment/config/{id}         |             |

## create\_payment\_intent\_config

> serde\_json::Value create\_payment\_intent\_config(authorization, body)

### Parameters

| Name              | Type                           | Description | Required    | Notes |
| ----------------- | ------------------------------ | ----------- | ----------- | ----- |
| **authorization** | **String**                     |             | \[required] |       |
| **body**          | Option<**serde\_json::Value**> |             | \[required] |       |

### Return type

[**serde\_json::Value**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/serde_json::Value.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## delete\_payment\_intent\_config

> crate::models::PaymentIntentResponse delete\_payment\_intent\_config(authorization, id)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |
| **id**            | **String** |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## get\_all\_payment\_intent\_configs

> Vec<crate::models::PaymentIntentResponse> get\_all\_payment\_intent\_configs(authorization)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |

### Return type

[**Vec**](/sdks/rust/paymentintentresponse.md)[**crate::models::PaymentIntentResponse**](crate::models::PaymentIntentResponse)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## get\_one\_payment\_intent\_configs

> crate::models::PaymentIntentResponse get\_one\_payment\_intent\_configs(authorization, id)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |
| **id**            | **String** |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## moralis\_webhook

> serde\_json::Value moralis\_webhook(id, i\_webhook)

### Parameters

| Name           | Type                                   | Description | Required    | Notes |
| -------------- | -------------------------------------- | ----------- | ----------- | ----- |
| **id**         | **String**                             |             | \[required] |       |
| **i\_webhook** | [**IWebhook**](/sdks/rust/iwebhook.md) |             | \[required] |       |

### Return type

[**serde\_json::Value**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/serde_json::Value.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_create\_payment\_intent

> crate::models::PaymentIntentResponse payment\_create\_payment\_intent(authorization, create\_payment\_intent\_input)

### Parameters

| Name                               | Type                                                                   | Description | Required    | Notes |
| ---------------------------------- | ---------------------------------------------------------------------- | ----------- | ----------- | ----- |
| **authorization**                  | **String**                                                             |             | \[required] |       |
| **create\_payment\_intent\_input** | [**CreatePaymentIntentInput**](/sdks/rust/createpaymentintentinput.md) |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_delete\_payment\_intent

> crate::models::PaymentIntentResponse payment\_delete\_payment\_intent(authorization, id)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |
| **id**            | **String** |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_get\_all\_payment\_intents

> Vec<crate::models::PaymentIntentResponse> payment\_get\_all\_payment\_intents(authorization)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |

### Return type

[**Vec**](/sdks/rust/paymentintentresponse.md)[**crate::models::PaymentIntentResponse**](crate::models::PaymentIntentResponse)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_get\_available\_chains

> Vec payment\_get\_available\_chains()

### Parameters

This endpoint does not need any parameter.

### Return type

**Vec**

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_get\_payment\_intent

> crate::models::PaymentIntentResponse payment\_get\_payment\_intent(authorization, id)

### Parameters

| Name              | Type       | Description | Required    | Notes |
| ----------------- | ---------- | ----------- | ----------- | ----- |
| **authorization** | **String** |             | \[required] |       |
| **id**            | **String** |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## payment\_update\_payment\_intent

> crate::models::PaymentIntentResponse payment\_update\_payment\_intent(authorization, id, create\_payment\_intent\_input)

### Parameters

| Name                               | Type                                                                   | Description | Required    | Notes |
| ---------------------------------- | ---------------------------------------------------------------------- | ----------- | ----------- | ----- |
| **authorization**                  | **String**                                                             |             | \[required] |       |
| **id**                             | **String**                                                             |             | \[required] |       |
| **create\_payment\_intent\_input** | [**CreatePaymentIntentInput**](/sdks/rust/createpaymentintentinput.md) |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## tatum\_webhook

> serde\_json::Value tatum\_webhook(id, tatum\_transaction\_event)

### Parameters

| Name                          | Type                                                             | Description | Required    | Notes |
| ----------------------------- | ---------------------------------------------------------------- | ----------- | ----------- | ----- |
| **id**                        | **String**                                                       |             | \[required] |       |
| **tatum\_transaction\_event** | [**TatumTransactionEvent**](/sdks/rust/tatumtransactionevent.md) |             | \[required] |       |

### Return type

[**serde\_json::Value**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/serde_json::Value.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## update\_payment\_intent\_config

> crate::models::PaymentIntentResponse update\_payment\_intent\_config(authorization, id, body)

### Parameters

| Name              | Type                           | Description | Required    | Notes |
| ----------------- | ------------------------------ | ----------- | ----------- | ----- |
| **authorization** | **String**                     |             | \[required] |       |
| **id**            | **String**                     |             | \[required] |       |
| **body**          | Option<**serde\_json::Value**> |             | \[required] |       |

### Return type

[**crate::models::PaymentIntentResponse**](/sdks/rust/paymentintentresponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/paymentapi.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/rust/paymentapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
